Subject: Re: Building 'less' with b18
From: [email-masked] (Reuben Collver)

16 Jul 1997 00:25:03 -0700
Approved: [email-masked]
Distribution: cygnus
Message-ID: <[email-masked]>
Mime-Version: 1.0
Content-Type: text/plain; charset=ISO-8859-1
Content-Transfer-Encoding: 7bit
Original-To: <[email-masked]>
X-MSMail-Priority: Normal
X-Priority: 3
X-Mailer: Microsoft Internet Mail 4.70.1155
Original-Sender: [email-masked]

> I'm trying to build 'less 3.32' with gnuwin32-b18, I installed ncurses 
> 1.9.9g, but it looks like the 'less' configure script cannot find 
> libncurses.a
> By default libncurses.a was in /usr/local/lib, I copied it to /usr/lib
just 
> to make sure, but it doesn't help.
> Sorry for all these dumb questions, I didn't find anything in the faqs ! 
> Thanks.

  Hi!  I'll tell you what I did.  I have a vanilla instalation of gnu-win32
beta 18 in my c:\cygnus directory.

I put all the executables in c:\cygnus\H-i386-cygwin32\i386-cygwin32\bin
I put the libraries in c:\cygnus\H-i386-cygwin32\i386-cygwin32\lib
I put the headers in c:\cygnus\H-i386-cygwin32\i386-cygwin32\include

Then I unpacked the gnu terminfo database to the default directory.

This seemed to work fine for me.  The code I was trying to build was an old
termcap app though, so I have not yet tested the functionality of this
ncurses port.

I would be more than happy to work on an FAQ of some sort with you, and put
it on my web server.  It would be great to have more documentation, and to
make old documentation easier to read.

Ben.
( to get ahold of me quicker, contact [email-masked] )
-
For help on using this list (especially unsubscribing), send a message to
"[email-masked]" with one line of text: "help".